Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.framework.xml
Class XMLParsingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.deegree.framework.xml.XMLParsingException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  FilterConstructionException, XMLSchemaException

    public class XMLParsingException

extends Exception

This exception is thrown when a syntactic or semantic error has been encountered during the parsing process of an XML document.

Version:
  $Revision: 18195 $
Author:
  Markus Schneider
See Also:
  Serialized Form

Constructor Summary
`XMLParsingException()` Creates a new instance of `XMLParsingException` without detail message.
`XMLParsingException(boolean wrapException, OGCWebServiceException wrapped)` Workaround to beat the "no API change" policy.
`XMLParsingException(String msg)` Constructs an instance of `XMLParsingException` with the specified detail message.
`XMLParsingException(String msg, Throwable e)` Constructs an instance of `XMLParsingException` with the specified detail message.
`XMLParsingException(Throwable cause)` Constructs an instance of `XMLParsingException` with the specified cause.

Method Summary
`OGCWebServiceException` | `getWrapped()`
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLParsingException

    XMLParsingException()

  Creates a new instance of `XMLParsingException` without detail message.

### XMLParsingException

    public XMLParsingException(boolean wrapException,
                               OGCWebServiceException wrapped)

  Workaround to beat the "no API change" policy.

  Parameters:
    `wrapException` - ignored parameter, to avoid clashing with the other constructor taking a Throwable.
    `wrapped` -

### XMLParsingException

    public XMLParsingException(String msg)

  Constructs an instance of `XMLParsingException` with the specified detail message.

  Parameters:
    `msg` - the detail message

### XMLParsingException

    public XMLParsingException(Throwable cause)

  Constructs an instance of `XMLParsingException` with the specified cause.

  Parameters:
    `cause` - the Throwable that caused this XMLParsingException

### XMLParsingException

    public XMLParsingException(String msg,
                               Throwable e)

  Constructs an instance of `XMLParsingException` with the specified detail message.

  Parameters:
    `msg` - the detail message.
    `e` - the cause of the exception to be thrown.

Method Detail

### getWrapped

    public OGCWebServiceException getWrapped()

  Returns:
    the wrapped Throwable

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org